ARMA
           ARMA Net           製品とサポート           通信販売           会社概要           求人情報       
ARMA 4.0

ARMA 3.0 マニュアル(ご参考用)

プレインストール PC

個人・小規模サイト
向けサポート
(パッケージ付属)


よくいただくお問い
合わせについて


対応ハードウェア情報

法人向け各種サービス

OSA-2010-1
 
 
1 サマリ
 
 
対象システム
ARMA3.0
パッケージ
newt-ogl
概要
ローカルからの任意のコード実行の可能性
危険度
1
 
 
 
2 詳細
 
 コンソールウィジェットの newt に脆弱性が指摘されています。これはテキストボックスに長い入力を与えた場合に、アプリケーションが停止したり任意のコード実行につながる可能性がある、という問題です。
 この問題の詳細については下記 URL を参照してください。
 
「CVE-2009-0581」 Common Vulnerabilities and Exposures
 
 
 アップデート後の newt-ogl 関連パッケージのバージョンは 0.52.2-11.3o201 に上がります。
 
 
3 対処方法
 
 rootになり以下のようにアップデートをおこなってください。
 
 
# apt-get update
# apt-get install libnewt0.52
 

COPYRIGHT (C)2018, オモイカネ株式会社 (Omoikane Inc.)
E-mail: info@omoikane.co.jp